*{
    margin: 0;
    padding: 0;
    border: 0;
    outline: none;
    list-style: none;
    background: none;
    text-decoration: none;
    font-size: 14px;
}

html {
    font-family: "Helvetica Neue",Helvetica,"PingFang SC","Hiragino Sans GB","Microsoft YaHei","微软雅黑",Arial,sans-serif;
}

button {
    border-radius: 4px;
    cursor: pointer;
}

.component.dialog {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    visibility: hidden;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.component.dialog .mask {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .7);
    backdrop-filter: saturate(180%) blur(20px);
    -webkit-backdrop-filter: saturate(180%) blur(20px);
    opacity: 0;
    transition: all .3s;
}

.component.dialog .content {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 400px;
    max-height: 90%;
    overflow-y: auto;
    background: #FFFFFF;
    border-radius: 4px;
    opacity: 0;
    visibility: hidden;
    transform: translate(-50%, 0);
    transition: all .3s;
    box-shadow: 0 2px 4px -1px rgba(0,0,0,0.2),
    0 4px 5px rgba(0,0,0,0.14),
    0 1px 10px rgba(0,0,0,0.12);
}

.component.dialog .content ul,
.component.dialog .content ol {
    padding-left: 2em;
}

.component.dialog .content ul li {
    list-style: disc;
}

.component.dialog .content ol li {
    list-style: decimal;
}

.component.dialog.active {
    visibility: visible;
}

.component.dialog.active .content {
    opacity: 1;
    visibility: visible;
    transform: translate(-50%, -50%);
}

.component.dialog.active .mask {
    opacity: 1;
}

.component.confirm .header,
.component.confirm .section,
.component.confirm .control{
    box-sizing: border-box;
}

.component.confirm .header {
    position: sticky;
    top: 0;
    padding: 20px;
    font-weight: 600;
    font-size: 16px;
    color: #303133;
    background: #FFFFFF;
}

.component.confirm .section {
    padding: 0 20px;
    line-height: 1.8;
}

.component.confirm .control {
    position: sticky;
    bottom: 0;
    padding: 10px;
    margin-top: 20px;
    text-align: right;
    font-size: 0;
    background: #FFFFFF;
}

.component.confirm .control button {
    display: inline-block;
    padding: 8px 15px;
    margin-left: 10px;
    font-weight: 500;
    font-size: 1rem;
}

.component.confirm .btn-confirm {
    background: rgba(64, 158, 255, .1);
    color: #409EFF;
}

.component.confirm .btn-confirm:hover {
    background: rgba(64, 158, 255, .2);
}

.component.confirm .btn-confirm:active {
    background: rgba(64, 158, 255, .3);
}

.component.confirm .btn-cancel {
    color: #F56C6C;
}

.component.confirm .btn-cancel:hover {
    background: rgba(245, 108, 108, .2);
}

.component.confirm .btn-cancel:active {
    background: rgba(245, 108, 108, .3);
}

@media screen and (max-width: 768px) {
    .component.dialog .content {
        min-width: auto;
        width: 90%;
    }
}
